Skip to main content
POST
/
storage
/
uploads
/
{object_id}
/
complete
Complete Upload
curl --request POST \
  --url https://eomer-api.onrender.com/storage/uploads/{object_id}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "verify_object": true,
  "expected_file_size": 2
}
'
{
  "object_id": "<string>",
  "original_filename": "<string>",
  "content_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "file_size": 123,
  "uploaded_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

object_id
string
required

Body

application/json

Request body for completing an upload.

verify_object
boolean
default:true
expected_file_size
integer | null
Required range: x >= 1

Response

Successful Response

Metadata response for a tenant-owned stored object.

object_id
string
required
status
enum<string>
required

Status values for tenant-scoped uploaded objects.

Available options:
presigned,
uploaded,
failed
original_filename
string
required
content_type
string
required
created_at
string<date-time>
required
file_size
integer | null
uploaded_at
string<date-time> | null